List partner pricing agreements | Moov Documentation

List partner pricing agreements

List all partner pricing agreements associated with an account.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/profile.read scope.

GET

/accounts/{accountID}/partner-pricing-agreements

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/partner-pricing-agreements" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask

mc, _ := moov.NewClient()

var accountID string

mc.ListPartnerPricingAgreements(ctx, accountID)

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.feePlans.listPartnerPricingAgreements({
    skip: 60,
    count: 20,
    accountID: "123bfe5e-2288-4146-9d8a-4c07264c3758",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
use Moov\MoovPhp\Models\Operations;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$request = new Operations\ListPartnerPricingAgreementsRequest(
    skip: 60,
    count: 20,
    accountID: '123bfe5e-2288-4146-9d8a-4c07264c3758',
);

$response = $sdk->feePlans->listPartnerPricingAgreements(
    request: $request
);

if ($response->partnerPricingAgreements !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListPartnerPricingAgreementsRequest;
import io.moov.sdk.models.operations.ListPartnerPricingAgreementsResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListPartnerPricingAgreementsRequest req = ListPartnerPricingAgreementsRequest.builder()
                .accountID("123bfe5e-2288-4146-9d8a-4c07264c3758")
                .skip(60L)
                .count(20L)
                .build();

ListPartnerPricingAgreementsResponse res = sdk.feePlans().listPartnerPricingAgreements()
                .request(req)
                .call();

if (res.partnerPricingAgreements().isPresent()) {
            System.out.println(res.partnerPricingAgreements().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.fee_plans.list_partner_pricing_agreements(account_id="123bfe5e-2288-4146-9d8a-4c07264c3758", skip=60, count=20)

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)

req = Models::Operations::ListPartnerPricingAgreementsRequest.new(
  skip: 60,
  count: 20,
  account_id: '123bfe5e-2288-4146-9d8a-4c07264c3758'
)
res = s.fee_plans.list_partner_pricing_agreements(request: req)

unless res.partner_pricing_agreements.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;
using Moov.Sdk.Models.Requests;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

ListPartnerPricingAgreementsRequest req = new ListPartnerPricingAgreementsRequest() {
    Skip = 60,
    Count = 20,
    AccountID = "123bfe5e-2288-4146-9d8a-4c07264c3758",
};

var res = await sdk.FeePlans.ListPartnerPricingAgreementsAsync(req);

// handle response

Example

[
  {
    "revenueShare": "2.25",
    "agreementID": "string",
    "planID": "string",
    "accountID": "string",
    "name": "string",
    "description": "string",
    "acceptedOn": "2019-08-24T14:15:22Z",
    "status": "active",
    "cardAcquiringModel": "cost-plus",
    "billableFees": [
      {
        "billableFeeID": "9d957d33-1a9a-47aa-9460-fe1a90f003dd",
        "billableEvent": "card-auth-volume",
        "feeName": "Card decline fee",
        "feeModel": "fixed",
        "feeCategory": "card-acquiring",
        "feeProperties": {
          "fixedAmount": {
            "currency": "USD",
            "valueDecimal": "0.0195"
          },
          "variableRate": "0.15",
          "minPerTransaction": {
            "currency": "USD",
            "valueDecimal": "0.0195"
          },
          "maxPerTransaction": {
            "currency": "USD",
            "valueDecimal": "0.035"
          },
          "volumeRanges": [
            {
              "fromValue": 1,
              "toValue": 2,
              "flatAmount": {
                "currency": "USD",
                "valueDecimal": "1.23"
              },
              "perUnitAmount": {
                "currency": "USD",
                "valueDecimal": "1.23"
              }
            }
          ]
        },
        "feeConditions": {
          "transactionType": [
            "decline"
          ]
        }
      }
    ],
    "minimumCommitment": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    },
    "monthlyPlatformFee": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    }
  }
]

Response headers

A unique identifier used to trace requests.

Response headers

A unique identifier used to trace requests.

Response headers

A unique identifier used to trace requests.

Response headers

A unique identifier used to trace requests.